precision lowp float;

varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform float intensity;

const mediump vec3 black = vec3(0, 0, 0);

void main()
{
    lowp vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = vec4(mix(textureColor.rgb, black, intensity), 1);
}

