attribute vec4 position;
attribute vec4 inputTextureCoordinate;
varying highp vec2 textureCoordinate;

varying highp vec2 v_texCoordMinus1;
varying highp vec2 v_texCoordPlus1;


uniform highp float u_texelStride;

void main(void) {
    textureCoordinate = inputTextureCoordinate.xy;
    v_texCoordMinus1 = inputTextureCoordinate.xy;
    v_texCoordPlus1 = inputTextureCoordinate.xy;
    v_texCoordMinus1.y = inputTextureCoordinate.y - u_texelStride;
    v_texCoordPlus1.y = inputTextureCoordinate.y + u_texelStride;

    gl_Position = position;
}
