attribute vec4 position;
attribute vec4 inputTextureCoordinate;
varying highp vec2 textureCoordinate;

varying highp vec2 v_texCoordMinus1;
varying highp vec2 v_texCoordPlus1;
varying highp vec2 v_texCoordMinus2;
varying highp vec2 v_texCoordPlus2;


uniform highp float u_texelStride;

void main(void) {
    textureCoordinate = inputTextureCoordinate.xy;
    v_texCoordMinus1 = inputTextureCoordinate.xy;
    v_texCoordPlus1 = inputTextureCoordinate.xy;
    v_texCoordMinus2 = inputTextureCoordinate.xy;
    v_texCoordPlus2 = inputTextureCoordinate.xy;
    v_texCoordMinus1.x = inputTextureCoordinate.x - u_texelStride;
    v_texCoordPlus1.x = inputTextureCoordinate.x + u_texelStride;
    v_texCoordMinus2.x = inputTextureCoordinate.x - u_texelStride * 2.0;
    v_texCoordPlus2.x = inputTextureCoordinate.x + u_texelStride * 2.0;

    gl_Position = position;
}
